Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## baseCode.dataStructure.matrix
Class AbstractNamedDoubleMatrix

    java.lang.Object
      baseCode.dataStructure.matrix.AbstractNamedMatrix
          baseCode.dataStructure.matrix.AbstractNamedDoubleMatrix

All Implemented Interfaces:
  NamedMatrix

Direct Known Subclasses:
  DenseDoubleMatrix2DNamed, SparseDoubleMatrix2DNamed, SparseRaggedDoubleMatrix2DNamed

public abstract class AbstractNamedDoubleMatrix
extends AbstractNamedMatrix

Copyright (c) 2004 Columbia University

Version:
  $Id: AbstractNamedDoubleMatrix.java,v 1.4 2004/08/18 23:44:10 pavlidis Exp $
Author:
  pavlidis

Constructor Summary
`AbstractNamedDoubleMatrix()`

Method Summary
`abstract int` | `columns()` Get the number of columns the matrix has.
`abstract double` | `get(int x, int y)`
`abstract java.lang.Object[]` | `getColObj(int i)`
`abstract double` | `getQuick(int i, int j)`
`abstract double[]` | `getRow(int i)`
`abstract cern.colt.list.DoubleArrayList` | `getRowArrayList(int i)`
`double[]` | `getRowByName(java.lang.String s)`
`abstract java.lang.Object[]` | `getRowObj(int i)` Get a row in the matrix as a generic Object[].
`abstract boolean` | `isMissing(int i, int j)` Check if the value at a given index is missing.
`abstract int` | `rows()` Get the number of rows the matrix has
`abstract void` | `set(int x, int y, double value)`
`abstract void` | `set(int i, int j, java.lang.Object val)` Set a value in the matrix.
`abstract cern.colt.matrix.DoubleMatrix1D` | `viewRow(int j)`

Methods inherited from class baseCode.dataStructure.matrix.AbstractNamedMatrix
`addColumnName, addColumnName, addRowName, addRowName, containsColumnName, containsRowName, getColIndexByName, getColName, getColNames, getRowIndexByName, getRowName, getRowNameMapIterator, getRowNames, hasColNames, hasRow, hasRowNames, numMissing, setColumnNames, setRowNames`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractNamedDoubleMatrix

    public AbstractNamedDoubleMatrix()

Method Detail

### rows

    public abstract int rows()

  Description copied from interface: `NamedMatrix`
  Get the number of rows the matrix has

  Specified by:
    `rows` in interface `NamedMatrix`
  Specified by:
    `rows` in class `AbstractNamedMatrix`

### columns

    public abstract int columns()

  Description copied from interface: `NamedMatrix`
  Get the number of columns the matrix has.

  Specified by:
    `columns` in interface `NamedMatrix`
  Specified by:
    `columns` in class `AbstractNamedMatrix`

### set

    public abstract void set(int i,
                             int j,
                             java.lang.Object val)

  Description copied from interface: `NamedMatrix`
  Set a value in the matrix.

  Specified by:
    `set` in interface `NamedMatrix`
  Specified by:
    `set` in class `AbstractNamedMatrix`

### getRowObj

    public abstract java.lang.Object[] getRowObj(int i)

  Description copied from interface: `NamedMatrix`
  Get a row in the matrix as a generic Object[]. This exists so NamedMatrices can be used more generically.

  Specified by:
    `getRowObj` in interface `NamedMatrix`
  Specified by:
    `getRowObj` in class `AbstractNamedMatrix`

### getColObj

    public abstract java.lang.Object[] getColObj(int i)

  Specified by:
    `getColObj` in interface `NamedMatrix`
  Specified by:
    `getColObj` in class `AbstractNamedMatrix`

### isMissing

    public abstract boolean isMissing(int i,
                                      int j)

  Description copied from interface: `NamedMatrix`
  Check if the value at a given index is missing.

  Specified by:
    `isMissing` in interface `NamedMatrix`
  Specified by:
    `isMissing` in class `AbstractNamedMatrix`

### getRow

    public abstract double[] getRow(int i)

### getRowArrayList

    public abstract cern.colt.list.DoubleArrayList getRowArrayList(int i)

### get

    public abstract double get(int x,
                               int y)

### getQuick

    public abstract double getQuick(int i,
                                    int j)

  Parameters:
    `i` -
    `j` -
  Returns:

### set

    public abstract void set(int x,
                             int y,
                             double value)

### viewRow

    public abstract cern.colt.matrix.DoubleMatrix1D viewRow(int j)

  Parameters:
    `j` -
  Returns:

### getRowByName

    public double[] getRowByName(java.lang.String s)

  Parameters:
    `s` - String
  Returns:
    double[]

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2005 Columbia University. All Rights Reserved.